Backup Audiocodes M800C via CatTools

Hello Forum,

I know I am late for something like this but I cannot get the Audiocodes M800C Backup Task to work.

What I tried so far:

I Logged into the M800C via Putty.

It asks for a Username and I type it in.

It asks for a Password and I type it in.

I get a console cursor.

I Type in show running-config and it shows me it´s running config.

So basically it has the same features as a Cisco Switch, at least backup wise.

I tried to build a new template and it didn´t work, so i used a standard cisco switch template.

Afterwards i created a Task (Device.Backup.Running.Config) and selected my new device.

When I click on the Job and Say "Run now" it shows busy and won´t finish the job.

in the Info Log the last three lines are:

-->LoadScriptFile for C:\Program Files(x86)\CatTools3\Scripts\Cisco.Switch.IOS.txt

LoadScriptFile - CurDevVariations

LoadScriptfile-->

and then it stops. I waited for 5 Minutes, no change. Also in the target directory the files won´t change more than the Timestamp of 

.~\Configs\Backup_Audiocodes\Backup.Running Config.txt

Sorry for being unexperienced. Maybe today I am just the 8th Network-Layer

Thanks in advance,

NetWolfZWO

  • I found this in the log:

    2020.09.24 14:21:13 AC_M800C SBC01 192.168.2.155 Generic.Device Connect failed:(30012) Protocol version mismatch error. Unknown

    Strange I Can open via Putty from the Cattools server but Cattools is not working I tried all versions of SSh & SSH2...

  • I connected via Putty and generated a Log:

    =~=~=~=~=~=~=~=~=~=~=~= PuTTY log 2020.09.24 14:52:03 =~=~=~=~=~=~=~=~=~=~=~=
    Event Log: Writing new session log (SSH packets mode) to file: C:\Users\USER\Desktop\putty.log
    Event Log: Connecting to 192.168.2.155 port 22
    Event Log: We claim version: SSH-2.0-PuTTY_Release_0.70
    Event Log: Server version: SSH-2.0-AudioCodes
    Event Log: Using SSH protocol version 2
    Outgoing packet #0x0, type 20 / 0x14 (SSH2_MSG_KEXINIT)

    Runs perfectly fine.

    I activated logging in cattools and it says:

    <NEWSESSION CatTools 3.11.5 24.09.2020 14:57:05>
    <PROTOCOL=SSH2>
    <DEVICE TYPE=Generic.Device>
    <ACTIVITY TYPE=Device.Backup.Running Config>
    <ACTIVITY SCRIPT=C:\Program Files (x86)\CatTools3\Scripts\Client.Device.Backup.Running Config.txt>
    <USERS NAME FOR DEVICE=TEST_SBC-01>
    <D 14:58:08>
    <SCRIPT VALUES>
    <HOSTNAME="">
    <PROMPT VTY="">
    <PROMPT ENABLE="">
    <PROMPT CONFIG="">

    Result:

    Generic.Device Connect failed:(30012) Protocol version mismatch error. Unknown

  • I sent the Error-Message and all the steps taken to the Solarwinds support.

    They wanted a second putty log.

    I provided.

    After checking the Log they suggested an Update from 3.11.5 to 3.11.6.

    I updated.

    Error-Message is still there.

    Ticket was closed and a Feature-Request was written.